# Uses of Class
org.codehaus.plexus.util.dag.CycleDetectedException

Packages that use CycleDetectedException
Package
Description
org.codehaus.plexus.util.dag
Directed Acyclic Graph utilities.

## Uses of CycleDetectedException in org.codehaus.plexus.util.dag

Methods in org.codehaus.plexus.util.dag that throw CycleDetectedException
Modifier and Type
Method
Description
`void`
DAG.`addEdge(String from, String to)`
`void`
DAG.`addEdge(Vertex from, Vertex to)`